Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.services.persondir.support.legacy
Class PersonDirInfoAdaptor

    java.lang.Object
      org.jasig.portal.services.persondir.support.legacy.PersonDirInfoAdaptor

    final class PersonDirInfoAdaptor

extends java.lang.Object

Adapts from a `PersonDirInfo` to a `IPersonAttributeDao`.

Since:
  uPortal 2.5
Version:
  $Revision: 1.13.2.1 $ $Date: 2005/09/28 20:56:08 $
Author:
  andrew.petro@yale.edu

Field Summary
`private static org.apache.commons.logging.Log` | `LOG`
`protected static java.lang.String` | `QUERY_ATTRIBUTE`
`private static java.util.List` | `QUERY_ATTRIBUTE_LIST`

Constructor Summary
`private` | `PersonDirInfoAdaptor()` This class is not intended to be instantiated, hence the private constructor.

Method Summary
`(package private) static IPersonAttributeDao` | `adapt(PersonDirInfo info)` Return an IPersonAttributeDao implementing the source defined by the given PersonDirInfo.
`private static IPersonAttributeDao` | `jdbcDao(PersonDirInfo info)` Obtain a `JdbcPersonAttributeDaoImpl` for the given `PersonDirInfo`.
`private static IPersonAttributeDao` | `ldapDao(PersonDirInfo info)` Obtain a `LdapPersonAttributeDaoImpl` for the given `PersonDirInfo`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### LOG

    private static final org.apache.commons.logging.Log LOG

### QUERY_ATTRIBUTE

    protected static final java.lang.String QUERY_ATTRIBUTE

See Also:
  Constant Field Values

### QUERY_ATTRIBUTE_LIST

    private static final java.util.List QUERY_ATTRIBUTE_LIST

Constructor Detail

### PersonDirInfoAdaptor

    private PersonDirInfoAdaptor()

  This class is not intended to be instantiated, hence the private constructor.

Method Detail

### adapt

    static IPersonAttributeDao adapt(PersonDirInfo info)

  Return an IPersonAttributeDao implementing the source defined by the given PersonDirInfo. Throws IllegalArgumentException if the given info doesn't define a valid IPersonAttributeDao (and this class succeeds in detecting the problem).

  Parameters:
    `info` - PersonDirInfo defining the attribute source we implement
  Returns:
    an IPersonAttributeDao implementing the defined source
  Throws:
    `java.lang.IllegalArgumentException`

### jdbcDao

    private static IPersonAttributeDao jdbcDao(PersonDirInfo info)

  Obtain a `JdbcPersonAttributeDaoImpl` for the given `PersonDirInfo`.

  Parameters:
    `info` - The `PersonDirInfo` to use as a basis for the DAO
  Returns:
    A fully configured `JdbcPersonAttributeDaoImpl`

### ldapDao

    private static IPersonAttributeDao ldapDao(PersonDirInfo info)

  Obtain a `LdapPersonAttributeDaoImpl` for the given `PersonDirInfo`.

  Parameters:
    `info` - The `PersonDirInfo` to use as a basis for the DAO
  Returns:
    A fully configured `LdapPersonAttributeDaoImpl`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD